from weasyprint import HTML

def html_to_pdf(html, save_to):
    h = HTML(string=html)
    pdf = h.write_pdf()

    with open('out.pdf', 'wb') as f:
      f.write(pdf)

    return pdf


in_fname = 'pdfworker_out.html'
out_fname = 'out.pdf'
n = 1

while True:
    with open(in_fname) as f:
        print("[{}] converting... ".format(n), end='')
        html = f.read()
        html_to_pdf(html=html, save_to=out_fname)
        print("done.")
        n += 1
